<template>
  <div>
    <vue-qr :text="textParam" :size="sizeParam"></vue-qr>
  </div>
</template>

<script>
import VueQr from 'vue-qr'
export default {
  name: "vueQrCode",
  //对外暴露的传入参数 text：生成的文本 size：边框大小
  props:{text:{type:String,default:()=>""},size:{type:Number,default:()=>200}},
  components:{
    VueQr,
  },
  data(){
    return {

    }
  },
  created() {
  },
  methods:{
    refreshQrCode(text){
      console.log("刷新二维码："+text);
      let _this =this;
      _this.$nextTick(()=>{
        _this.text = text;
      })
    },
    getText(){
      let _this =this;
      _this.$nextTick(()=>{
        return _this.text;
      })

    },
  },
  computed:{
    textParam:function (){
      return this.text;
    },
    sizeParam:function (){
      return this.size;
    }
  }
}
</script>

<style scoped>

</style>